import { AsyncStorage } from "../../../core/AsyncStorage";
import { InjectedConnector, InjectedConnectorOptions } from "../injected";
import type { Chain } from "@thirdweb-dev/chains";
export type CoreWalletConnectorOptions = InjectedConnectorOptions;
type CoreWalletConnectorConstructorArg = {
    chains?: Chain[];
    connectorStorage: AsyncStorage;
    options?: CoreWalletConnectorOptions;
};
export declare class CoreWalletConnector extends InjectedConnector {
    readonly id: "coreWallet";
    constructor(arg: CoreWalletConnectorConstructorArg);
    /**
     * Connect to injected CoreWallet provider
     */
    connect(options?: {
        chainId?: number;
    }): Promise<{
        chain: {
            id: number;
            unsupported: boolean;
        };
        provider: import("../injected/types").Ethereum;
        account: string;
    }>;
    switchAccount(): Promise<void>;
}
export {};
//# sourceMappingURL=index.d.ts.map