import { AuthProvider, type AuthLoginReturnType } from "../../interfaces/auth";
import { AbstractLogin, LoginQuerierTypes } from "./abstract-login";
export declare class BaseLogin extends AbstractLogin<void, {
    email: string;
}, {
    email: string;
    otp: string;
    recoveryCode?: string;
}> {
    private getOauthLoginUrl;
    loginWithModal(): Promise<AuthLoginReturnType>;
    loginWithEmailOtp({ email, }: {
        email: string;
    }): Promise<AuthLoginReturnType>;
    private closeWindow;
    private getOauthPopUpSizing;
    loginWithOauth(args: {
        oauthProvider: AuthProvider;
        openedWindow?: Window | null | undefined;
        closeOpenedWindow?: ((openedWindow: Window) => void) | undefined;
    }): Promise<AuthLoginReturnType>;
    loginWithCustomJwt({ encryptionKey, jwt, }: LoginQuerierTypes["loginWithCustomJwt"]): Promise<AuthLoginReturnType>;
    loginWithCustomAuthEndpoint({ encryptionKey, payload, }: LoginQuerierTypes["loginWithCustomAuthEndpoint"]): Promise<AuthLoginReturnType>;
    verifyEmailLoginOtp({ email, otp, recoveryCode, }: LoginQuerierTypes["verifyThirdwebEmailLoginOtp"]): Promise<AuthLoginReturnType>;
    verifySmsLoginOtp({ phoneNumber, otp, recoveryCode, }: LoginQuerierTypes["verifyThirdwebSmsLoginOtp"]): Promise<AuthLoginReturnType>;
}
//# sourceMappingURL=base-login.d.ts.map