import { Chain } from "@thirdweb-dev/chains";
import type { Signer, providers } from "ethers";
import { Connector } from "../../interfaces/connector";
import { EmbeddedWalletSdk, SendEmailOtpReturnType } from "./implementations";
import { AuthParams, AuthResult, EmbeddedWalletConnectionArgs, EmbeddedWalletConnectorOptions } from "./types";
export declare class EmbeddedWalletConnector extends Connector<EmbeddedWalletConnectionArgs> {
    readonly id: string;
    readonly name: string;
    ready: boolean;
    private user;
    private _embeddedWalletSdk?;
    private options;
    private _signer?;
    constructor(options: EmbeddedWalletConnectorOptions);
    getEmbeddedWalletSDK(): EmbeddedWalletSdk;
    connect(args?: EmbeddedWalletConnectionArgs): Promise<string>;
    disconnect(): Promise<void>;
    getAddress(): Promise<string>;
    isConnected(): Promise<boolean>;
    getProvider(): Promise<providers.Provider>;
    getSigner(): Promise<Signer>;
    isAuthorized(): Promise<boolean>;
    switchChain(chainId: number): Promise<void>;
    setupListeners(): Promise<void>;
    updateChains(chains: Chain[]): void;
    protected onAccountsChanged: (accounts: string[]) => Promise<void>;
    protected onChainChanged: (chainId: number | string) => void;
    protected onDisconnect: () => Promise<void>;
    private getUser;
    getEmail(): Promise<string | undefined>;
    getPhoneNumber(): Promise<string | undefined>;
    getRecoveryInformation(): Promise<import("./implementations").AuthDetails>;
    sendVerificationEmail({ email, }: {
        email: string;
    }): Promise<SendEmailOtpReturnType>;
    sendVerificationSms({ phoneNumber, }: {
        phoneNumber: string;
    }): Promise<SendEmailOtpReturnType>;
    authenticate(params: AuthParams): Promise<AuthResult>;
}
//# sourceMappingURL=index.d.ts.map