import { AsyncStorage } from "../../../core/AsyncStorage";
import { InjectedConnector, InjectedConnectorOptions } from "../injected";
import type { Chain } from "@thirdweb-dev/chains";
export type MagicEdenConnectorOptions = InjectedConnectorOptions;
type MagicEdenConnectorConstructorArg = {
    chains?: Chain[];
    connectorStorage: AsyncStorage;
    options?: MagicEdenConnectorOptions;
};
export declare class MagicEdenConnector extends InjectedConnector {
    readonly id: "magicEden";
    constructor(arg: MagicEdenConnectorConstructorArg);
    /**
     * Connect to injected MagicEden Wallet provider
     */
    connect(options?: {
        chainId?: number;
    }): Promise<{
        chain: {
            id: number;
            unsupported: boolean;
        };
        provider: import("../injected/types").Ethereum;
        account: string;
    }>;
}
export {};
//# sourceMappingURL=index.d.ts.map