import { AsyncStorage } from "../../../core/AsyncStorage";
import { InjectedConnector, InjectedConnectorOptions } from "../injected";
import type { Chain } from "@thirdweb-dev/chains";
export type OKXConnectorOptions = InjectedConnectorOptions;
type OKXConnectorConstructorArg = {
    chains?: Chain[];
    connectorStorage: AsyncStorage;
    options?: OKXConnectorOptions;
};
export declare class OKXConnector extends InjectedConnector {
    readonly id: "okx";
    constructor(arg: OKXConnectorConstructorArg);
    /**
     * Connect to injected OKX provider
     */
    connect(options?: {
        chainId?: number;
    }): Promise<{
        chain: {
            id: number;
            unsupported: boolean;
        };
        provider: import("../injected/types").Ethereum;
        account: string;
    }>;
    switchAccount(): Promise<void>;
}
export {};
//# sourceMappingURL=index.d.ts.map