import { SmartContract, ThirdwebSDK, Transaction } from "@thirdweb-dev/sdk";
import { BigNumberish, BigNumber, ethers, BytesLike, providers } from "ethers";
import { ProviderConfig } from "../types";
import { BaseAccountAPI } from "./base-api";
export declare class AccountAPI extends BaseAccountAPI {
    sdk: ThirdwebSDK;
    params: ProviderConfig;
    accountContract?: SmartContract;
    factoryContract?: SmartContract;
    constructor(params: ProviderConfig, originalProvider: ethers.providers.Provider);
    getChainId(): Promise<number>;
    getAccountContract(): Promise<SmartContract>;
    getAccountInitCode(): Promise<string>;
    getFactoryContract(): Promise<SmartContract<ethers.BaseContract>>;
    getCounterFactualAddress(): Promise<string>;
    getNonce(): Promise<BigNumber>;
    prepareExecute(target: string, value: BigNumberish, data: string): Promise<Transaction<any>>;
    prepareExecuteBatch(targets: string[], values: BigNumberish[], datas: BytesLike[]): Promise<Transaction<any>>;
    signUserOpHash(userOpHash: string): Promise<string>;
    isAcountDeployed(): Promise<boolean>;
    isAccountApproved(): Promise<any>;
    createApproveTx(): Promise<providers.TransactionRequest | undefined>;
}
//# sourceMappingURL=account.d.ts.map