import { providers, Signer } from "ethers";
import { EntryPoint, UserOperationStruct } from "@account-abstraction/contracts";
import { BaseAccountAPI } from "./base-api";
import { ERC4337EthersSigner } from "./erc4337-signer";
import { HttpRpcClient } from "./http-rpc-client";
import { ProviderConfig } from "../types";
export declare class ERC4337EthersProvider extends providers.BaseProvider {
    readonly chainId: number;
    readonly config: ProviderConfig;
    readonly originalSigner: Signer;
    readonly originalProvider: providers.BaseProvider;
    readonly httpRpcClient: HttpRpcClient;
    readonly entryPoint: EntryPoint;
    readonly smartAccountAPI: BaseAccountAPI;
    readonly signer: ERC4337EthersSigner;
    constructor(chainId: number, config: ProviderConfig, originalSigner: Signer, originalProvider: providers.BaseProvider, httpRpcClient: HttpRpcClient, entryPoint: EntryPoint, smartAccountAPI: BaseAccountAPI);
    getSigner(): ERC4337EthersSigner;
    perform(method: string, params: any): Promise<any>;
    getTransaction(transactionHash: string | Promise<string>): Promise<providers.TransactionResponse>;
    getTransactionReceipt(transactionHash: string | Promise<string>): Promise<providers.TransactionReceipt>;
    getSenderAccountAddress(): Promise<string>;
    waitForTransaction(transactionHash: string, confirmations?: number, timeout?: number): Promise<providers.TransactionReceipt>;
    constructUserOpTransactionResponse(userOp1: UserOperationStruct): Promise<providers.TransactionResponse>;
    detectNetwork(): Promise<any>;
}
//# sourceMappingURL=erc4337-provider.d.ts.map