import { providers, utils } from "ethers";
import { Bytes, Signer } from "ethers";
import { BaseAccountAPI } from "./base-api";
import type { ERC4337EthersProvider } from "./erc4337-provider";
import { HttpRpcClient } from "./http-rpc-client";
import { ProviderConfig, UserOpOptions } from "../types";
export declare class ERC4337EthersSigner extends Signer {
    config: ProviderConfig;
    originalSigner: Signer;
    erc4337provider: ERC4337EthersProvider;
    httpRpcClient: HttpRpcClient;
    smartAccountAPI: BaseAccountAPI;
    approving: boolean;
    constructor(config: ProviderConfig, originalSigner: Signer, erc4337provider: ERC4337EthersProvider, httpRpcClient: HttpRpcClient, smartAccountAPI: BaseAccountAPI);
    address?: string;
    sendTransaction(transaction: utils.Deferrable<providers.TransactionRequest>, options?: UserOpOptions): Promise<providers.TransactionResponse>;
    unwrapError(errorIn: any): Error;
    verifyAllNecessaryFields(transactionRequest: providers.TransactionRequest): Promise<void>;
    connect(provider: providers.Provider): Signer;
    getAddress(): Promise<string>;
    /**
     * Sign a message and return the signature
     */
    signMessage(message: Bytes | string): Promise<string>;
    signTransaction(transaction: utils.Deferrable<providers.TransactionRequest>, options?: UserOpOptions): Promise<string>;
}
//# sourceMappingURL=erc4337-signer.d.ts.map