import { SmartWallet } from "./smart-wallet";
import type { TokenBoundSmartWalletConnector as TokenBoundSmartWalletConnectorType } from "../connectors/token-bound-smart-wallet";
import type { TokenBoundSmartWalletConfig } from "../connectors/token-bound-smart-wallet/types";
import { WalletOptions } from "./base";
/**
 * A smart wallet controlled by the holder of a particular NFT.
 */
/**
 * @wallet
 */
export declare class TokenBoundSmartWallet extends SmartWallet {
    tbaConnector?: TokenBoundSmartWalletConnectorType;
    tbaOptions: TokenBoundSmartWalletConfig;
    static meta: {
        name: string;
        iconURL: string;
    };
    static id: "tokenBoundSmartWallet";
    get walletName(): string;
    constructor(options: WalletOptions<TokenBoundSmartWalletConfig>);
    getConnector(): Promise<TokenBoundSmartWalletConnectorType>;
}
//# sourceMappingURL=token-bound-smart-wallet.d.ts.map