'use strict';

const supportedSmsCountries = [{
  countryIsoCode: "AD",
  countryName: "Andorra",
  phoneNumberCode: "376"
}, {
  countryIsoCode: "AE",
  countryName: "United Arab Emirates",
  phoneNumberCode: "971"
}, {
  countryIsoCode: "AF",
  countryName: "Afghanistan",
  phoneNumberCode: "93"
}, {
  countryIsoCode: "AG",
  countryName: "Antigua and Barbuda",
  phoneNumberCode: "1268"
}, {
  countryIsoCode: "AI",
  countryName: "Anguilla",
  phoneNumberCode: "1264"
}, {
  countryIsoCode: "AL",
  countryName: "Albania",
  phoneNumberCode: "355"
}, {
  countryIsoCode: "AM",
  countryName: "Armenia",
  phoneNumberCode: "374"
}, {
  countryIsoCode: "AN",
  countryName: "Netherlands Antilles",
  phoneNumberCode: "599"
}, {
  countryIsoCode: "AO",
  countryName: "Angola",
  phoneNumberCode: "244"
}, {
  countryIsoCode: "AQ",
  countryName: "Antarctica",
  phoneNumberCode: "672"
}, {
  countryIsoCode: "AR",
  countryName: "Argentina",
  phoneNumberCode: "54"
}, {
  countryIsoCode: "AS",
  countryName: "American Samoa",
  phoneNumberCode: "1684"
}, {
  countryIsoCode: "AT",
  countryName: "Austria",
  phoneNumberCode: "43"
}, {
  countryIsoCode: "AU",
  countryName: "Australia",
  phoneNumberCode: "61"
}, {
  countryIsoCode: "AW",
  countryName: "Aruba",
  phoneNumberCode: "297"
}, {
  countryIsoCode: "AX",
  countryName: "Aland Islands",
  phoneNumberCode: "35818"
}, {
  countryIsoCode: "AZ",
  countryName: "Azerbaijan",
  phoneNumberCode: "994"
}, {
  countryIsoCode: "BA",
  countryName: "Bosnia and Herzegovina",
  phoneNumberCode: "387"
}, {
  countryIsoCode: "BB",
  countryName: "Barbados",
  phoneNumberCode: "1246"
}, {
  countryIsoCode: "BD",
  countryName: "Bangladesh",
  phoneNumberCode: "880"
}, {
  countryIsoCode: "BE",
  countryName: "Belgium",
  phoneNumberCode: "32"
}, {
  countryIsoCode: "BF",
  countryName: "Burkina Faso",
  phoneNumberCode: "226"
}, {
  countryIsoCode: "BG",
  countryName: "Bulgaria",
  phoneNumberCode: "359"
}, {
  countryIsoCode: "BH",
  countryName: "Bahrain",
  phoneNumberCode: "973"
}, {
  countryIsoCode: "BI",
  countryName: "Burundi",
  phoneNumberCode: "257"
}, {
  countryIsoCode: "BJ",
  countryName: "Benin",
  phoneNumberCode: "229"
}, {
  countryIsoCode: "BL",
  countryName: "Saint Barthelemy",
  phoneNumberCode: "590"
}, {
  countryIsoCode: "BM",
  countryName: "Bermuda",
  phoneNumberCode: "1441"
}, {
  countryIsoCode: "BN",
  countryName: "Brunei Darussalam",
  phoneNumberCode: "673"
}, {
  countryIsoCode: "BO",
  countryName: "Bolivia",
  phoneNumberCode: "591"
}, {
  countryIsoCode: "BR",
  countryName: "Brazil",
  phoneNumberCode: "55"
}, {
  countryIsoCode: "BS",
  countryName: "Bahamas",
  phoneNumberCode: "1242"
}, {
  countryIsoCode: "BT",
  countryName: "Bhutan",
  phoneNumberCode: "975"
}, {
  countryIsoCode: "BV",
  countryName: "Bouvet Island",
  phoneNumberCode: "47"
}, {
  countryIsoCode: "BW",
  countryName: "Botswana",
  phoneNumberCode: "267"
}, {
  countryIsoCode: "BY",
  countryName: "Belarus",
  phoneNumberCode: "375"
}, {
  countryIsoCode: "BZ",
  countryName: "Belize",
  phoneNumberCode: "501"
}, {
  countryIsoCode: "CA",
  countryName: "Canada",
  phoneNumberCode: "1"
}, {
  countryIsoCode: "CC",
  countryName: "Cocos (Keeling) Islands",
  phoneNumberCode: "672"
}, {
  countryIsoCode: "CF",
  countryName: "Central African Republic",
  phoneNumberCode: "236"
}, {
  countryIsoCode: "CG",
  countryName: "Congo",
  phoneNumberCode: "242"
}, {
  countryIsoCode: "CH",
  countryName: "Switzerland",
  phoneNumberCode: "41"
}, {
  countryIsoCode: "CI",
  countryName: "Cote d`Ivoire",
  phoneNumberCode: "225"
}, {
  countryIsoCode: "CK",
  countryName: "Cook Islands",
  phoneNumberCode: "682"
}, {
  countryIsoCode: "CL",
  countryName: "Chile",
  phoneNumberCode: "56"
}, {
  countryIsoCode: "CM",
  countryName: "Cameroon",
  phoneNumberCode: "237"
}, {
  countryIsoCode: "CN",
  countryName: "China",
  phoneNumberCode: "86"
}, {
  countryIsoCode: "CO",
  countryName: "Colombia",
  phoneNumberCode: "57"
}, {
  countryIsoCode: "CR",
  countryName: "Costa Rica",
  phoneNumberCode: "506"
}, {
  countryIsoCode: "CU",
  countryName: "Cuba",
  phoneNumberCode: "53"
}, {
  countryIsoCode: "CV",
  countryName: "Cape Verde",
  phoneNumberCode: "238"
}, {
  countryIsoCode: "CW",
  countryName: "Curacao",
  phoneNumberCode: "5999"
}, {
  countryIsoCode: "CX",
  countryName: "Christmas Island",
  phoneNumberCode: "6189164"
}, {
  countryIsoCode: "CY",
  countryName: "Cyprus",
  phoneNumberCode: "357"
}, {
  countryIsoCode: "CZ",
  countryName: "Czechia",
  phoneNumberCode: "420"
}, {
  countryIsoCode: "DE",
  countryName: "Germany",
  phoneNumberCode: "49"
}, {
  countryIsoCode: "DJ",
  countryName: "Djibouti",
  phoneNumberCode: "253"
}, {
  countryIsoCode: "DK",
  countryName: "Denmark",
  phoneNumberCode: "45"
}, {
  countryIsoCode: "DM",
  countryName: "Dominica",
  phoneNumberCode: "1767"
}, {
  countryIsoCode: "DO",
  countryName: "Dominican Republic",
  phoneNumberCode: "1809"
}, {
  countryIsoCode: "DZ",
  countryName: "Algeria",
  phoneNumberCode: "213"
}, {
  countryIsoCode: "EC",
  countryName: "Ecuador",
  phoneNumberCode: "593"
}, {
  countryIsoCode: "EE",
  countryName: "Estonia",
  phoneNumberCode: "372"
}, {
  countryIsoCode: "EG",
  countryName: "Egypt",
  phoneNumberCode: "20"
}, {
  countryIsoCode: "EH",
  countryName: "Western Sahara",
  phoneNumberCode: "212"
}, {
  countryIsoCode: "ER",
  countryName: "Eritrea",
  phoneNumberCode: "291"
}, {
  countryIsoCode: "ES",
  countryName: "Spain",
  phoneNumberCode: "34"
}, {
  countryIsoCode: "ET",
  countryName: "Ethiopia",
  phoneNumberCode: "251"
}, {
  countryIsoCode: "FI",
  countryName: "Finland",
  phoneNumberCode: "358"
}, {
  countryIsoCode: "FJ",
  countryName: "Fiji",
  phoneNumberCode: "679"
}, {
  countryIsoCode: "FO",
  countryName: "Faroe Islands",
  phoneNumberCode: "298"
}, {
  countryIsoCode: "FR",
  countryName: "France",
  phoneNumberCode: "33"
}, {
  countryIsoCode: "GA",
  countryName: "Gabon",
  phoneNumberCode: "241"
}, {
  countryIsoCode: "GB",
  countryName: "United Kingdom",
  phoneNumberCode: "44"
}, {
  countryIsoCode: "GD",
  countryName: "Grenada",
  phoneNumberCode: "1473"
}, {
  countryIsoCode: "GE",
  countryName: "Georgia",
  phoneNumberCode: "995"
}, {
  countryIsoCode: "GF",
  countryName: "French Guiana",
  phoneNumberCode: "594"
}, {
  countryIsoCode: "GG",
  countryName: "Guernsey",
  phoneNumberCode: "441481"
}, {
  countryIsoCode: "GH",
  countryName: "Ghana",
  phoneNumberCode: "233"
}, {
  countryIsoCode: "GI",
  countryName: "Gibraltar",
  phoneNumberCode: "350"
}, {
  countryIsoCode: "GL",
  countryName: "Greenland",
  phoneNumberCode: "299"
}, {
  countryIsoCode: "GM",
  countryName: "Gambia",
  phoneNumberCode: "220"
}, {
  countryIsoCode: "GN",
  countryName: "Guinea",
  phoneNumberCode: "224"
}, {
  countryIsoCode: "GP",
  countryName: "Guadeloupe",
  phoneNumberCode: "590"
}, {
  countryIsoCode: "GQ",
  countryName: "Equatorial Guinea",
  phoneNumberCode: "240"
}, {
  countryIsoCode: "GR",
  countryName: "Greece",
  phoneNumberCode: "30"
}, {
  countryIsoCode: "GT",
  countryName: "Guatemala",
  phoneNumberCode: "502"
}, {
  countryIsoCode: "GU",
  countryName: "Guam",
  phoneNumberCode: "1671"
}, {
  countryIsoCode: "GW",
  countryName: "Guinea-Bissau",
  phoneNumberCode: "245"
}, {
  countryIsoCode: "GY",
  countryName: "Guyana",
  phoneNumberCode: "592"
}, {
  countryIsoCode: "HN",
  countryName: "Honduras",
  phoneNumberCode: "504"
}, {
  countryIsoCode: "HR",
  countryName: "Croatia",
  phoneNumberCode: "385"
}, {
  countryIsoCode: "HT",
  countryName: "Haiti",
  phoneNumberCode: "509"
}, {
  countryIsoCode: "HU",
  countryName: "Hungary",
  phoneNumberCode: "36"
}, {
  countryIsoCode: "ID",
  countryName: "Indonesia",
  phoneNumberCode: "62"
}, {
  countryIsoCode: "IE",
  countryName: "Ireland",
  phoneNumberCode: "353"
}, {
  countryIsoCode: "IL",
  countryName: "Israel",
  phoneNumberCode: "972"
}, {
  countryIsoCode: "IM",
  countryName: "Isle Of Man",
  phoneNumberCode: "441624"
}, {
  countryIsoCode: "IN",
  countryName: "India",
  phoneNumberCode: "91"
}, {
  countryIsoCode: "IO",
  countryName: "British Indian Ocean Territory",
  phoneNumberCode: "246"
}, {
  countryIsoCode: "IQ",
  countryName: "Iraq",
  phoneNumberCode: "964"
}, {
  countryIsoCode: "IR",
  countryName: "Iran (Islamic Republic of)",
  phoneNumberCode: "98"
}, {
  countryIsoCode: "IS",
  countryName: "Iceland",
  phoneNumberCode: "354"
}, {
  countryIsoCode: "IT",
  countryName: "Italy",
  phoneNumberCode: "39"
}, {
  countryIsoCode: "JE",
  countryName: "Jersey",
  phoneNumberCode: "441534"
}, {
  countryIsoCode: "JM",
  countryName: "Jamaica",
  phoneNumberCode: "1876"
}, {
  countryIsoCode: "JO",
  countryName: "Jordan",
  phoneNumberCode: "962"
}, {
  countryIsoCode: "JP",
  countryName: "Japan",
  phoneNumberCode: "81"
}, {
  countryIsoCode: "KE",
  countryName: "Kenya",
  phoneNumberCode: "254"
}, {
  countryIsoCode: "KG",
  countryName: "Kyrgyzstan",
  phoneNumberCode: "996"
}, {
  countryIsoCode: "KH",
  countryName: "Cambodia",
  phoneNumberCode: "855"
}, {
  countryIsoCode: "KI",
  countryName: "Kiribati",
  phoneNumberCode: "686"
}, {
  countryIsoCode: "KM",
  countryName: "Comoros",
  phoneNumberCode: "269"
}, {
  countryIsoCode: "KN",
  countryName: "Saint Kitts and Nevis",
  phoneNumberCode: "1869"
}, {
  countryIsoCode: "KR",
  countryName: "Republic of Korea",
  phoneNumberCode: "82"
}, {
  countryIsoCode: "KW",
  countryName: "Kuwait",
  phoneNumberCode: "965"
}, {
  countryIsoCode: "KY",
  countryName: "Cayman Islands",
  phoneNumberCode: "1345"
}, {
  countryIsoCode: "KZ",
  countryName: "Kazakhstan",
  phoneNumberCode: "7"
}, {
  countryIsoCode: "LB",
  countryName: "Lebanon",
  phoneNumberCode: "961"
}, {
  countryIsoCode: "LC",
  countryName: "Saint Lucia",
  phoneNumberCode: "1758"
}, {
  countryIsoCode: "LI",
  countryName: "Liechtenstein",
  phoneNumberCode: "423"
}, {
  countryIsoCode: "LK",
  countryName: "Sri Lanka",
  phoneNumberCode: "94"
}, {
  countryIsoCode: "LR",
  countryName: "Liberia",
  phoneNumberCode: "231"
}, {
  countryIsoCode: "LS",
  countryName: "Lesotho",
  phoneNumberCode: "266"
}, {
  countryIsoCode: "LT",
  countryName: "Lithuania",
  phoneNumberCode: "370"
}, {
  countryIsoCode: "LU",
  countryName: "Luxembourg",
  phoneNumberCode: "352"
}, {
  countryIsoCode: "LV",
  countryName: "Latvia",
  phoneNumberCode: "371"
}, {
  countryIsoCode: "LY",
  countryName: "Libyan Arab Jamahiriya",
  phoneNumberCode: "218"
}, {
  countryIsoCode: "MA",
  countryName: "Morocco",
  phoneNumberCode: "212"
}, {
  countryIsoCode: "MC",
  countryName: "Monaco",
  phoneNumberCode: "377"
}, {
  countryIsoCode: "MD",
  countryName: "Moldova (Republic of)",
  phoneNumberCode: "373"
}, {
  countryIsoCode: "ME",
  countryName: "Montenegro",
  phoneNumberCode: "382"
}, {
  countryIsoCode: "MF",
  countryName: "Saint Martin French",
  phoneNumberCode: "590"
}, {
  countryIsoCode: "MG",
  countryName: "Madagascar",
  phoneNumberCode: "261"
}, {
  countryIsoCode: "MH",
  countryName: "Marshall Islands",
  phoneNumberCode: "692"
}, {
  countryIsoCode: "ML",
  countryName: "Mali",
  phoneNumberCode: "223"
}, {
  countryIsoCode: "MM",
  countryName: "Myanmar",
  phoneNumberCode: "95"
}, {
  countryIsoCode: "MN",
  countryName: "Mongolia",
  phoneNumberCode: "976"
}, {
  countryIsoCode: "MP",
  countryName: "Northern Mariana Islands",
  phoneNumberCode: "1670"
}, {
  countryIsoCode: "MQ",
  countryName: "Martinique",
  phoneNumberCode: "596"
}, {
  countryIsoCode: "MR",
  countryName: "Mauritania",
  phoneNumberCode: "222"
}, {
  countryIsoCode: "MS",
  countryName: "Montserrat",
  phoneNumberCode: "1664"
}, {
  countryIsoCode: "MT",
  countryName: "Malta",
  phoneNumberCode: "356"
}, {
  countryIsoCode: "MU",
  countryName: "Mauritius",
  phoneNumberCode: "230"
}, {
  countryIsoCode: "MV",
  countryName: "Maldives",
  phoneNumberCode: "960"
}, {
  countryIsoCode: "MW",
  countryName: "Malawi",
  phoneNumberCode: "265"
}, {
  countryIsoCode: "MX",
  countryName: "Mexico",
  phoneNumberCode: "52"
}, {
  countryIsoCode: "MY",
  countryName: "Malaysia",
  phoneNumberCode: "60"
}, {
  countryIsoCode: "MZ",
  countryName: "Mozambique",
  phoneNumberCode: "258"
}, {
  countryIsoCode: "NA",
  countryName: "Namibia",
  phoneNumberCode: "264"
}, {
  countryIsoCode: "NC",
  countryName: "New Caledonia",
  phoneNumberCode: "687"
}, {
  countryIsoCode: "NE",
  countryName: "Niger",
  phoneNumberCode: "227"
}, {
  countryIsoCode: "NF",
  countryName: "Norfolk Island",
  phoneNumberCode: "672"
}, {
  countryIsoCode: "NG",
  countryName: "Nigeria",
  phoneNumberCode: "234"
}, {
  countryIsoCode: "NI",
  countryName: "Nicaragua",
  phoneNumberCode: "505"
}, {
  countryIsoCode: "NL",
  countryName: "Netherlands",
  phoneNumberCode: "31"
}, {
  countryIsoCode: "NO",
  countryName: "Norway",
  phoneNumberCode: "47"
}, {
  countryIsoCode: "NP",
  countryName: "Nepal",
  phoneNumberCode: "977"
}, {
  countryIsoCode: "NR",
  countryName: "Nauru",
  phoneNumberCode: "674"
}, {
  countryIsoCode: "NU",
  countryName: "Niue",
  phoneNumberCode: "683"
}, {
  countryIsoCode: "NZ",
  countryName: "New Zealand",
  phoneNumberCode: "64"
}, {
  countryIsoCode: "OM",
  countryName: "Oman",
  phoneNumberCode: "968"
}, {
  countryIsoCode: "PA",
  countryName: "Panama",
  phoneNumberCode: "507"
}, {
  countryIsoCode: "PE",
  countryName: "Peru",
  phoneNumberCode: "51"
}, {
  countryIsoCode: "PF",
  countryName: "French Polynesia",
  phoneNumberCode: "689"
}, {
  countryIsoCode: "PG",
  countryName: "Papua New Guinea",
  phoneNumberCode: "675"
}, {
  countryIsoCode: "PH",
  countryName: "Philippines",
  phoneNumberCode: "63"
}, {
  countryIsoCode: "PK",
  countryName: "Pakistan",
  phoneNumberCode: "92"
}, {
  countryIsoCode: "PL",
  countryName: "Poland",
  phoneNumberCode: "48"
}, {
  countryIsoCode: "PM",
  countryName: "Saint Pierre and Miquelon",
  phoneNumberCode: "508"
}, {
  countryIsoCode: "PN",
  countryName: "Pitcairn",
  phoneNumberCode: "64"
}, {
  countryIsoCode: "PR",
  countryName: "Puerto Rico",
  phoneNumberCode: "1787"
}, {
  countryIsoCode: "PT",
  countryName: "Portugal",
  phoneNumberCode: "351"
}, {
  countryIsoCode: "PW",
  countryName: "Palau",
  phoneNumberCode: "680"
}, {
  countryIsoCode: "PY",
  countryName: "Paraguay",
  phoneNumberCode: "595"
}, {
  countryIsoCode: "QA",
  countryName: "Qatar",
  phoneNumberCode: "974"
}, {
  countryIsoCode: "RE",
  countryName: "Reunion",
  phoneNumberCode: "262"
}, {
  countryIsoCode: "RO",
  countryName: "Romania",
  phoneNumberCode: "40"
}, {
  countryIsoCode: "RS",
  countryName: "Serbia",
  phoneNumberCode: "381"
}, {
  countryIsoCode: "RU",
  countryName: "Russian Federation",
  phoneNumberCode: "7"
}, {
  countryIsoCode: "RW",
  countryName: "Rwanda",
  phoneNumberCode: "250"
}, {
  countryIsoCode: "SA",
  countryName: "Saudi Arabia",
  phoneNumberCode: "966"
}, {
  countryIsoCode: "SB",
  countryName: "Solomon Islands",
  phoneNumberCode: "677"
}, {
  countryIsoCode: "SC",
  countryName: "Seychelles",
  phoneNumberCode: "248"
}, {
  countryIsoCode: "SD",
  countryName: "Sudan",
  phoneNumberCode: "249"
}, {
  countryIsoCode: "SE",
  countryName: "Sweden",
  phoneNumberCode: "46"
}, {
  countryIsoCode: "SG",
  countryName: "Singapore",
  phoneNumberCode: "65"
}, {
  countryIsoCode: "SH",
  countryName: "Saint Helena",
  phoneNumberCode: "290"
}, {
  countryIsoCode: "SI",
  countryName: "Slovenia",
  phoneNumberCode: "386"
}, {
  countryIsoCode: "SK",
  countryName: "Slovakia",
  phoneNumberCode: "421"
}, {
  countryIsoCode: "SL",
  countryName: "Sierra Leone",
  phoneNumberCode: "232"
}, {
  countryIsoCode: "SM",
  countryName: "San Marino",
  phoneNumberCode: "378"
}, {
  countryIsoCode: "SN",
  countryName: "Senegal",
  phoneNumberCode: "221"
}, {
  countryIsoCode: "SO",
  countryName: "Somalia",
  phoneNumberCode: "252"
}, {
  countryIsoCode: "SR",
  countryName: "Suriname",
  phoneNumberCode: "597"
}, {
  countryIsoCode: "SS",
  countryName: "South Sudan",
  phoneNumberCode: "211"
}, {
  countryIsoCode: "ST",
  countryName: "Sao Tome and Principe",
  phoneNumberCode: "239"
}, {
  countryIsoCode: "SV",
  countryName: "El Salvador",
  phoneNumberCode: "503"
}, {
  countryIsoCode: "SX",
  countryName: "Sint Maarten Dutch",
  phoneNumberCode: "1721"
}, {
  countryIsoCode: "SY",
  countryName: "Syrian Arab Republic",
  phoneNumberCode: "963"
}, {
  countryIsoCode: "SZ",
  countryName: "Swaziland",
  phoneNumberCode: "268"
}, {
  countryIsoCode: "TC",
  countryName: "Turks and Caicos Islands",
  phoneNumberCode: "1649"
}, {
  countryIsoCode: "TD",
  countryName: "Chad",
  phoneNumberCode: "235"
}, {
  countryIsoCode: "TF",
  countryName: "French Southern Territories",
  phoneNumberCode: "1"
}, {
  countryIsoCode: "TG",
  countryName: "Togo",
  phoneNumberCode: "228"
}, {
  countryIsoCode: "TH",
  countryName: "Thailand",
  phoneNumberCode: "66"
}, {
  countryIsoCode: "TJ",
  countryName: "Tajikistan",
  phoneNumberCode: "992"
}, {
  countryIsoCode: "TK",
  countryName: "Tokelau",
  phoneNumberCode: "690"
}, {
  countryIsoCode: "TL",
  countryName: "Timor-Leste (East Timor)",
  phoneNumberCode: "670"
}, {
  countryIsoCode: "TM",
  countryName: "Turkmenistan",
  phoneNumberCode: "993"
}, {
  countryIsoCode: "TN",
  countryName: "Tunisia",
  phoneNumberCode: "216"
}, {
  countryIsoCode: "TO",
  countryName: "Tonga",
  phoneNumberCode: "676"
}, {
  countryIsoCode: "TR",
  countryName: "Turkey",
  phoneNumberCode: "90"
}, {
  countryIsoCode: "TT",
  countryName: "Trinidad and Tobago",
  phoneNumberCode: "1868"
}, {
  countryIsoCode: "TV",
  countryName: "Tuvalu",
  phoneNumberCode: "688"
}, {
  countryIsoCode: "TW",
  countryName: "Taiwan (Province of China)",
  phoneNumberCode: "886"
}, {
  countryIsoCode: "TZ",
  countryName: "Tanzania (United Republic of)",
  phoneNumberCode: "255"
}, {
  countryIsoCode: "UA",
  countryName: "Ukraine",
  phoneNumberCode: "380"
}, {
  countryIsoCode: "UG",
  countryName: "Uganda",
  phoneNumberCode: "256"
}, {
  countryIsoCode: "US",
  countryName: "United States",
  phoneNumberCode: "1"
}, {
  countryIsoCode: "UY",
  countryName: "Uruguay",
  phoneNumberCode: "598"
}, {
  countryIsoCode: "UZ",
  countryName: "Uzbekistan",
  phoneNumberCode: "998"
}, {
  countryIsoCode: "VE",
  countryName: "Venezuela",
  phoneNumberCode: "58"
}, {
  countryIsoCode: "VG",
  countryName: "Virgin Islands British",
  phoneNumberCode: "1284"
}, {
  countryIsoCode: "VI",
  countryName: "Virgin Islands US",
  phoneNumberCode: "1340"
}, {
  countryIsoCode: "VN",
  countryName: "Vietnam",
  phoneNumberCode: "84"
}, {
  countryIsoCode: "VU",
  countryName: "Vanuatu",
  phoneNumberCode: "678"
}, {
  countryIsoCode: "WF",
  countryName: "Wallis and Futuna Islands",
  phoneNumberCode: "681"
}, {
  countryIsoCode: "WS",
  countryName: "Samoa",
  phoneNumberCode: "685"
}, {
  countryIsoCode: "XK",
  countryName: "Kosovo",
  phoneNumberCode: "383"
}, {
  countryIsoCode: "YE",
  countryName: "Yemen",
  phoneNumberCode: "967"
}, {
  countryIsoCode: "YT",
  countryName: "Mayotte",
  phoneNumberCode: "262269"
}, {
  countryIsoCode: "YU",
  countryName: "Yugoslavia",
  phoneNumberCode: "38"
}, {
  countryIsoCode: "ZA",
  countryName: "South Africa",
  phoneNumberCode: "27"
}, {
  countryIsoCode: "ZM",
  countryName: "Zambia",
  phoneNumberCode: "260"
}, {
  countryIsoCode: "ZW",
  countryName: "Zimbabwe",
  phoneNumberCode: "263"
}];

exports.supportedSmsCountries = supportedSmsCountries;
