'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var ethers = require('ethers');
var evm_connectors_smartWallet_dist_thirdwebDevWalletsEvmConnectorsSmartWallet = require('../../smart-wallet/dist/thirdweb-dev-wallets-evm-connectors-smart-wallet.cjs.prod.js');
var utils = require('../../../../dist/utils-5241e2ba.cjs.prod.js');
require('../../../../dist/connector-1b2fa06d.cjs.prod.js');
require('eventemitter3');
require('../../../../dist/http-rpc-client-2e1229be.cjs.prod.js');
require('../../../../dist/url-8b7f19db.cjs.prod.js');
require('@thirdweb-dev/chains');
require('../../../../dist/headers-140df57f.cjs.prod.js');
require('@account-abstraction/contracts');
require('../../../../dist/defineProperty-b749763b.cjs.prod.js');
require('@thirdweb-dev/sdk');
require('../../../wallets/abstract/dist/thirdweb-dev-wallets-evm-wallets-abstract.cjs.prod.js');

class TokenBoundSmartWalletConnector extends evm_connectors_smartWallet_dist_thirdwebDevWalletsEvmConnectorsSmartWallet.SmartWalletConnector {
  constructor(input) {
    super({
      ...input,
      factoryAddress: input.registryAddress || utils.ERC6551_REGISTRY
    });
    this.tbaConfig = input;
    // TODO default account implementation address
  }
  defaultFactoryInfo() {
    return {
      createAccount: async factory => {
        return factory.prepare("createAccount", [this.tbaConfig.accountImplementation, this.chainId, this.tbaConfig.tokenContract, this.tbaConfig.tokenId, this.tbaConfig.salt, ethers.ethers.utils.toUtf8Bytes("")]);
      },
      getAccountAddress: async factory => {
        return await factory.call("account", [this.tbaConfig.accountImplementation, this.chainId, this.tbaConfig.tokenContract, this.tbaConfig.tokenId, this.tbaConfig.salt]);
      }
    };
  }
}

exports.TokenBoundSmartWalletConnector = TokenBoundSmartWalletConnector;
