'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var evm_wallets_abstract_dist_thirdwebDevWalletsEvmWalletsAbstract = require('../../abstract/dist/thirdweb-dev-wallets-evm-wallets-abstract.cjs.dev.js');
require('../../../../dist/defineProperty-9051a5d3.cjs.dev.js');
require('ethers');
require('eventemitter3');
require('@thirdweb-dev/sdk');

/**
 * Wallet interface to connect using [ethers.js](https://github.com/ethers-io/ethers.js/) signer
 *
 * @example
 * ```javascript
 * import { EthersWallet } from "@thirdweb-dev/wallets";
 * import { Wallet } from "ethers";
 *
 * // can be any ethers.js signer
 * const signer = Wallet.createRandom();
 * const wallet = new EthersWallet(signer);
 *
 * await wallet.connect();
 * ```
 *
 * @wallet
 */
class EthersWallet extends evm_wallets_abstract_dist_thirdwebDevWalletsEvmWalletsAbstract.AbstractWallet {
  /**
   * Create instance of `EthersWallet`
   * @param signer - ethers.js signer object
   */
  constructor(signer) {
    super();
    this._signer = signer;
  }

  /**
   * Returns [ethers signer](https://docs.ethers.org/v5/api/signer/) object used by the wallet
   */
  async getSigner() {
    return this._signer;
  }
}

exports.EthersWallet = EthersWallet;
